Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.json
[Java] Class JsonSlurper

    java.lang.Object
      groovy.json.JsonSlurper

    public class JsonSlurper

JSON slurper which parses text or reader content into a data structure of lists and maps.

Example usage: ``

     def slurper = new JsonSlurper()
     def result = slurper.parseText('{"person":{"name":"Guillaume","age":33,"pets":["dog","cat"]}}')

     assert result.person.name == "Guillaume"
     assert result.person.age == 33
     assert result.person.pets.size() == 2
     assert result.person.pets[0] == "dog"
     assert result.person.pets[1] == "cat"

Authors:
  Guillaume Laforge

Since:
  1.8.0

Method Summary
`java.lang.Object` | `parse(java.io.Reader reader)` Parse a JSON data structure from content from a reader
`java.lang.Object` | `parseText(java.lang.String text)` Parse a text representation of a JSON data structure

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### parse

    public java.lang.Object parse(java.io.Reader reader)

  Parse a JSON data structure from content from a reader
  Parameters:
    `reader` - reader over a JSON content
  Returns:
    a data structure of lists and maps

### parseText

    public java.lang.Object parseText(java.lang.String text)

  Parse a text representation of a JSON data structure
  Parameters:
    `text` - JSON text to parse
  Returns:
    a data structure of lists and maps

Groovy Documentation